function ExternalModbus()
{
   IR.Log("External Modbus IP");
   IR.GetDevice("Modbus TCP").SetParameters(Host: "213.114.30.30", Port: "502", UpdateTime: "500"});
   IR.SetVariable("Server.Tags.Status Modbus","We try to connect to External Modbus IP");
};

function InternalModbus()
{
   IR.Log("Internal Modbus IP");
   IR.GetDevice("Modbus TCP").SetParameters(Host: "192.168.0.93", Port: "502", UpdateTime: "500.0.."})
   IR.SetVariable("Server.Tags.Status Modbus","We try to connect to Internal Modbus IP");
};

function Connect()
{
   IR.Log("Modbus TCP Connect");
   IR.GetDevice("Modbus TCP").Connect();
   IR.SetVariable("Server.Tags.Status Modbus","We try to connect to Modbus");
};

function Disconnect()
{
   IR.Log("Modbus TCP Disconnect");
   IR.GetDevice("Modbus TCP").Disconnect();
   IR.SetVariable("Server.Tags.Status Modbus","We try to disconnect from Modbus");
};

IR.AddListener(IR.EVENT_ONLINE, IR.GetDevice("Modbus TCP"), function(text)
{
IR.Log("Modbus TCP is ONLINE");  
});

IR.AddListener(IR.EVENT_OFFLINE, IR.GetDevice("Modbus TCP"), function()
{
IR.Log("Modbus TCP is OFFLINE");  
});

